Package org.eclipse.emf.cdo.server.db.evolution.phased

# Interface ISchemaMigration

All Superinterfaces:
  `IMappingStrategy`

public interface ISchemaMigration extends IMappingStrategy
Interface to complement `IMappingStrategy` with schema migration capabilities.

Since:
  4.14
Author:
  Eike Stepper
No Implement
  This package is currently considered provisional.
No Extend
  This package is currently considered provisional.
No Reference
  This package is currently considered provisional.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`ISchemaMigration.SchemaMigrationNotSupportedException`
Indicates whether the mapping strategy supports schema migration.

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.db.mapping.IMappingStrategy

`IMappingStrategy.Props`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.server.db.mapping.IMappingStrategy

`PROP_COLUMN_TYPE_MODIFIER, PROP_FORCE_NAMES_WITH_ID, PROP_MAX_FIELD_NAME_LENGTH, PROP_MAX_TABLE_NAME_LENGTH, PROP_OBJECT_TYPE_CACHE_SIZE, PROP_QUALIFIED_NAMES, PROP_TABLE_NAME_PREFIX`

## Method Summary

Modifier and Type
Method
Description
`void`
`migrateSchema(Context context, IDBStoreAccessor accessor)`
Migrates the database schema to match the new models in the given context.

### Methods inherited from interface org.eclipse.emf.cdo.server.db.mapping.IMappingStrategy

`clearClassMappings, createListMapping, createMapping, createValueMapping, getClassMapping, getClassMappings, getClassMappings, getDelegate, getFieldName, getListJoin, getProperties, getStore, getTableName, getTableName, handleRevisions, hasAuditSupport, hasBranchingSupport, hasDeltaSupport, queryResources, queryXRefs, rawExport, rawImport, readChangeSet, readObjectIDs, readObjectType, readObjectType2, removeMapping, repairAfterCrash, setProperties, setStore`

## Method Details

### migrateSchema

void migrateSchema(Context context, IDBStoreAccessor accessor) throws SQLException
Migrates the database schema to match the new models in the given context.

Throws:
  `SQLException`